import { Announcement } from '../api/announcement/types'
import { FiltersType } from '../utils/filters'

const userCategories = ['givingOut'] as const

type UserCategory = typeof userCategories[number]

const UserCategoriesNames: Record<UserCategory, string> = {
    givingOut: 'Раздача',
}

const userCategoriesInfos: Record<UserCategory, (ann: Announcement) => string> = {
    givingOut: (ann: Announcement) => (
        `Годен до ${new Date(ann.bestBy).toLocaleDateString('ru')}`
    ),
}

const composeUserCategoriesFilters: Record<UserCategory, () => FiltersType> = {
    givingOut: () => {
        const userId = -1

        return ({ userId })
    },
}

export type { UserCategory }
export { userCategories, UserCategoriesNames, userCategoriesInfos, composeUserCategoriesFilters }
