import { useCallback } from 'react'
import { useSendWithButton } from '..'
import { composeRemoveAnnouncementURL, processRemoveAnnouncement } from '../../api/removeAnnouncement'
import { isRemoveAnnouncementResponse } from '../../api/removeAnnouncement/types'

const useRemoveAnnouncement = (close: () => void) => {
    const { doSend, button } = useSendWithButton(
        'Удалить',
        'Удалено',
        true,
        composeRemoveAnnouncementURL(),
        'DELETE',
        true,
        isRemoveAnnouncementResponse,
        processRemoveAnnouncement
    )

    const doSendWithClose = useCallback(async (id: number) => {
        await doSend({}, {
            body: JSON.stringify({
                id
            })
        })

        close()
    }, [doSend, close])

    return { handleRemove: doSendWithClose, removeButton: button }
}

export default useRemoveAnnouncement
